Bug 812207 - [mr_IN] La (ल) and Sha (श) half shape required modifications
[mr_IN] La (ल) and Sha (श) half shape required modifications
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: lohit-marathi-fonts (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 01:53 EDT by Pravin Satpute
Modified: 2015-06-02 01:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-02 01:19:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
pdf explaining problem (26.66 KB, application/pdf)
2012-04-13 01:53 EDT, Pravin Satpute
no flags Details
Glyph for Marathi-style L_LA (and for headstroke) (12.87 KB, application/x-font-ttf)
2012-07-30 10:00 EDT, Shriramana Sharma
no flags Details

  None (edit)
Description Pravin Satpute 2012-04-13 01:53:01 EDT
Created attachment 577228 [details]
pdf explaining problem

Description of problem:
Mail from Sushant Devlekar, Half La (ल) and Sha (श) shape required modifications as done by Base shape of La (ल) and Sha (श)

Version-Release number of selected component (if applicable):
lohit-marathi-fonts-2.5.1-1

How reproducible:
everytime

Steps to Reproduce:
1. Type ल्ल and श्क
2.
3.
  
Actual results:
half shape of sha and la not matching with full shape of la and sha

Expected results:
both full and half shape should match.

Additional info:
Comment 1 Pravin Satpute 2012-07-17 06:37:34 EDT
Half sha problem is resolved with the bug 838235. Now only remaining issues is with the Ligature of La in Lohit marathi.
Comment 2 Shriramana Sharma 2012-07-30 10:00:49 EDT
Created attachment 601282 [details]
Glyph for Marathi-style L_LA (and for headstroke)

Hello Pravin. Sorry for the delay in responding to your offlist mail. Please find attached a suggested glyph for L_LA ल्ल which is based on the Marathi LA shape. The glyph is the one with postscript name "marathi_la_vir_la". 

I have also included some rough work glyphs which were intermediary stages in arriving at the final glyph in case someone wants to edit them further. You can ignore them when copy-pasting to trunk. 

I have also included the sample positioning of the below-base VS-U VS-UU (the reduced versions which stand before "glyph244" in the font and are meant to be attached below conjuncts) for the new glyph. 

As you can see, I have just managed to position the vowel signs below the new L_LA glyph but above the windescent level. My first draft was just by doing a copy - paste - remove headstroke and stem - correct points sequence of the existing LA glyph below itself, but to give space for the below-base VS-U VS-UU to not go below the windescent level, I had to vertically shorten the glyphs. I have attempted to do so without distorting the curvature. 

Note however that the below-base RA + VS-U/UU glyphs (which come after "glyph239" and before the above-mentioned reduced VS-U/UU glyphs) do not have enough space below the new L_LA glyph. Since there are no real words which have the sequence L_L_RU L_L_RUU, I did not feel it justifies squashing the LA-shape even further (it may get distorted). Any sequences involving L_L_RU L_L_RUU in Marathi style may be rendered as LA_halant L_RU/RUU. I hope I'm clear on this. Relevant lookups [or whatever you call it in OpenType] may need to be added.

As another issue, along with the above, I have also included a substitute glyph for A8FB DEVANAGARI HEADSTROKE. I found that its glyph in the Lohit Devanagari font does not correspond to the description in the original proposal (http://std.dkuug.dk/jtc1/sc2/wg2/docs/n3488.pdf pp 2 and 3), which says that it should be at the height of the headstroke of other characters (but not connect to it). I have just pushed down the glyph at the height of the headstroke of क. Please patch that also. (I didn't want to open a separate bug for a trivial matter.)
Comment 3 Pravin Satpute 2012-07-31 06:22:42 EDT
Thanks for update, I have committed shape designed in git, also fixed positioning issues with U+A8FB (good catch).

I still think there is further scope to reduce height of mr_la_la_lig ligature, it does not looks good specifically in word "कल्लोळ", I took reference of SakalBharati  they have this ligature (glyph 833, 0x75b) and managed with reduced height. 

Also not committed ligature with U, UU since we need further work on basic ligature.
Comment 4 Fedora End Of Life 2013-07-03 22:43:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Pravin Satpute 2013-07-04 02:35:39 EDT
Here still improvement needed so will be good to have this bug open. Moving to Fedora 19
Comment 6 Fedora End Of Life 2015-01-09 16:57:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Pravin Satpute 2015-01-14 04:31:24 EST
Moving to Fedora 20.
Comment 8 Fedora End Of Life 2015-05-29 04:43:31 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Pravin Satpute 2015-06-02 01:19:59 EDT
I have reported this to upstream. Lets see if i get some time to work on these or someone from community take this up.

https://github.com/pravins/lohit/issues/72 

Closing as a upstream.

Note You need to log in before you can comment on or make changes to this bug.